package book

type BookSeries struct {
	HardDeleteModel
	Name      string `json:"name" form:"name" gorm:"type:varchar(128);not null;index;comment:系列名称"`
	CoverUrl  string `json:"coverUrl" form:"coverUrl" gorm:"type:varchar(500);comment:系列封面图片 URL"`
	Intro     string `json:"intro" form:"intro" gorm:"type:text;comment:系列简介"`
	IsEnabled bool   `json:"isEnabled" form:"isEnabled" gorm:"not null;default:true;index;comment:系列是否启用"`
}

func (BookSeries) TableName() string {
	return "book_series"
}
